> For the complete documentation index, see [llms.txt](https://docs.mod91.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mod91.io/mod91-webview-sdk/api-reference/authapi.md).

# AuthAPI

### 1. getAuthData&#x20;

```typescript
 getAuthData(authParams: AuthParams): Promise<AuthData>
```

Get Auth Data to be used.

***

Accepts `AuthParams` :&#x20;

`appCode :  'BENOW'` : App code for which auth data needs to be fetched.\
\
ex:&#x20;

<pre class="language-typescript"><code class="lang-typescript">import * as mod91sdk from "@satyajiit.mod91/mod91-webview-sdk";

<strong>try {
</strong>    const authData = await mod91sdk.AuthAPI.getAuthData({ appCode: 'BENOW' })
} catch(e) {
    console.log(e.message)
}
</code></pre>

***

Returns `AuthData` :&#x20;

`token : string` : Auth Token&#x20;

`mid : string` : Mid of merchant&#x20;

`tid : string` : Tid of merchant

`otherData : object` : Other auth data which may be required.

### 2 . refreshAuthData

```typescript
refreshAuthData(authParams: AuthParams): Promise<AuthData>
```

Refreshes Auth Data.

***

Accepts `AuthParams` :&#x20;

`appCode : AppCodes ["BENOW"]` : App code for which auth data needs to be refreshed.

***

Returns `AuthData` :&#x20;

`token : string` : Auth Token&#x20;

`otherData : object` : Other auth data which may be required.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mod91.io/mod91-webview-sdk/api-reference/authapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
